FETCH402
← Protocol index

Resource / 135

skipped

CoinGecko.

Search onchain DEX pools and token, by contract address, name, or token symbol.

Eligibility
probeable
Failures
0
Last quote
Last probe
2026-08-12 21:30:02 UTC
Payment requirements / accepts[] 2 options
State Network Scheme Atomic amount Asset payTo / untrusted
active eip155:8453 exact 10000 0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913 0x110cdBba7FE6434Ec4CE3464CC523942ad6Fb784
active solana:5eykt4usfv8p8njdtrepy1vzqkqzkvdp exact 10000 EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v 8XhngTRitTcUJMiaDJ6azw8GRSiFPpwhnmV3HYQLHUpL

All advertised payment options are stored. Base (`eip155:8453`) is the operational network for ranking and canaries; non-Base options remain visible for transparency.

Probe evidence 1 recent
skipped 2026-08-12 21:30:02 UTC GET · accepts 0 · base 0 robots_disallow
Request
GET https://pro-api.coingecko.com/api/v3/x402/onchain/search/pools
Robots
disallow
Note
robots_disallow
Accepts fingerprint
4f53cda18c2baa0c0354bb5f9a3ecbe5ed12ab4d8e11ba873c2f11161202b945

Request headers

{
  "accept": "*/*",
  "user-agent": "Fetch402Bot/0.1 (+https://fetch402.com/crawler; contact: crawler@fetch402.com)"
}

Machine contract

Schemas.

InputJSON
{
  "method": "GET",
  "queryParams": {
    "include": "base_token",
    "network": "eth",
    "page": 1,
    "query": "weth"
  },
  "type": "http"
}
OutputJSON
{
  "example": {
    "data": [
      {
        "attributes": {
          "address": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",
          "base_token_price_native_currency": "1.0",
          "base_token_price_quote_token": "3662.46",
          "base_token_price_usd": "3653.12491645176",
          "fdv_usd": "11007041041",
          "market_cap_usd": null,
          "name": "WETH / USDC 0.05%",
          "pool_created_at": "2021-12-29T12:35:14Z",
          "price_change_percentage": {
            "h1": "0.51",
            "h24": "7.71",
            "h6": "0.86",
            "m15": "0.21",
            "m30": "0.31",
            "m5": "0"
          },
          "quote_token_price_base_token": "0.00027304",
          "quote_token_price_native_currency": "0.000273040545093221",
          "quote_token_price_usd": "0.998343707926245",
          "reserve_in_usd": "163988541.3812",
          "transactions": {
            "h1": {
              "buyers": 83,
              "buys": 97,
              "sellers": 124,
              "sells": 144
            },
            "h24": {
              "buyers": 1625,
              "buys": 2966,
              "sellers": 2399,
              "sells": 3847
            },
            "m15": {
              "buyers": 19,
              "buys": 19,
              "sellers": 27,
              "sells": 27
            },
            "m30": {
              "buyers": 45,
              "buys": 49,
              "sellers": 57,
              "sells": 61
            },
            "m5": {
              "buyers": 7,
              "buys": 7,
              "sellers": 2,
              "sells": 2
            }
          },
          "volume_usd": {
            "h1": "16798158.0138526",
            "h24": "536545444.904535",
            "h6": "164054610.850188",
            "m15": "2056262.885098",
            "m30": "4081230.098456",
            "m5": "868581.7348314"
          }
        },
        "id": "eth_0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",
        "relationships": {
          "base_token": {
            "data": {
              "id": "eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
              "type": "token"
            }
          },
          "dex": {
            "data": {
              "id": "uniswap_v3",
              "type": "dex"
            }
          },
          "quote_token": {
            "data": {
              "id": "eth_0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
              "type": "token"
            }
          }
        },
        "type": "pool"
      }
    ],
    "included": [
      {
        "attributes": {
          "address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
          "coingecko_coin_id": "weth",
          "decimals": 18,
          "image_url": "https://assets.coingecko.com/coins/images/2518/small/weth.png?1696503332",
          "name": "Wrapped Ether",
          "symbol": "WETH"
        },
        "id": "eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
        "type": "token"
      }
    ]
  },
  "type": "json"
}